curl --request POST \
--url https://gengen.farm/api/gengen/v1/qwen-images/generations \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"model": "qwen-image-3-0",
"mode": "text_to_image",
"prompt": "A cinematic night market poster with precise neon typography",
"controls": {
"outputCount": 1,
"size": "1024*1024",
"promptExtend": true,
"watermark": false
}
}'{
"id": "qwenimage3:571ae02f-5c9d-436c-83c2-f221e6df0000",
"model": "qwen-image-3-0",
"status": "succeeded",
"outputs": {
"images": [
"https://example.com/qwen-image-3/result.png"
]
},
"usage": {
"width": 1024,
"height": 1024,
"imageCount": 1
}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Image API
Generate or edit images with Qwen Image 3.0
Generate or edit images synchronously with Qwen Image 3.0.
POST
/
qwen-images
/
generations
curl --request POST \
--url https://gengen.farm/api/gengen/v1/qwen-images/generations \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"model": "qwen-image-3-0",
"mode": "text_to_image",
"prompt": "A cinematic night market poster with precise neon typography",
"controls": {
"outputCount": 1,
"size": "1024*1024",
"promptExtend": true,
"watermark": false
}
}'{
"id": "qwenimage3:571ae02f-5c9d-436c-83c2-f221e6df0000",
"model": "qwen-image-3-0",
"status": "succeeded",
"outputs": {
"images": [
"https://example.com/qwen-image-3/result.png"
]
},
"usage": {
"width": 1024,
"height": 1024,
"imageCount": 1
}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Authorizations
A workspace API key beginning with gengen_live_.
Body
application/json
Use the qwen-image-3-0 model.
Allowed value:
"qwen-image-3-0"Positive generation prompt or editing instruction. Chinese and English are supported.
Minimum string length:
1When omitted, GENGEN selects image_edit when reference images are present and text_to_image otherwise.
Supported values:
text_to_image— generate images from a text promptimage_edit— edit one to three reference images
Available options:
text_to_image, image_edit Show child attributes
Show child attributes
Show child attributes
Show child attributes